# coding: utf-8
lib = File.expand_path('../lib/', __FILE__)
$:.unshift lib unless $:.include?(lib)

require 'spree_print_invoice/version'

Gem::Specification.new do |s|
  s.platform    = Gem::Platform::RUBY
  s.name        = 'spree-print-invoice'
  s.version     = Spree::PrintInvoice.version
  s.summary     = 'Print invoices from a spree order'
  s.description = s.summary
  s.required_ruby_version = '>= 1.9.3'

  s.authors      = ['Christopher Angileri', 'Tobias Bohwalli']
  s.email        = 'hi@futhr.io'
  s.homepage     = 'https://github.com/futhr/spree-print-invoice'
  s.license      = %q{BSD-3}

  s.files        = `git ls-files`.split("\n")
  s.test_files   = `git ls-files -- spec/*`.split("\n")
  s.require_path = 'lib'
  s.requirements << 'none'

  s.add_runtime_dependency 'prawn', '~> 1.0.0'
  s.add_runtime_dependency 'spree_backend', '~> 2.2.0'

  s.add_development_dependency 'capybara', '~> 2.2.1'
  s.add_development_dependency 'selenium-webdriver', '>= 2.40'
  s.add_development_dependency 'poltergeist', '~> 1.5.0'
  s.add_development_dependency 'factory_girl', '~> 4.4'
  s.add_development_dependency 'rspec', '~> 2.14'
  s.add_development_dependency 'rspec-rails', '~> 2.14'
  s.add_development_dependency 'simplecov', '~> 0.7.1'
  s.add_development_dependency 'sqlite3', '~> 1.3.8'
  s.add_development_dependency 'database_cleaner', '~> 1.2.0'
  s.add_development_dependency 'coffee-rails', '~> 4.0.0'
  s.add_development_dependency 'sass-rails', '~> 4.0.0'
  s.add_development_dependency 'pdf-inspector', '~> 1.1.0'
  s.add_development_dependency 'i18n-spec', '~> 0.4.1'
  s.add_development_dependency 'ffaker', '>= 1.24.0'
  s.add_development_dependency 'guard-rspec', '>= 4.2.0'
  s.add_development_dependency 'launchy', '>= 2.4.0'
  s.add_development_dependency 'pry-rails', '>= 0.3.0'
  s.add_development_dependency 'coveralls', '>= 0.7.0'
  s.add_development_dependency 'localeapp', '>= 0.7.2'
end